<main role="main">
    {{ page.breadcrumb }}
    <a id="main-content" tabindex="-1"></a>
    {% include directory ~ '/templates/includes/headerghc.html.twig' %}
    <div class="content">
        <div style="width: 100%;margin: auto;" class="desktop-only">
            <!--Edit this if using full width hero image-->
            <img class="hero-image" src="{{ url('<front>') }}images/banners/happyupdate_header_mid_1.jpg"
                alt="header_happy_updates_desktop">
        </div>

        <div style="width: 100%;" class="mobile-only">
            <!--Edit this if using full width hero image-->
            <img class="hero-image" src="{{ url('<front>') }}images/banners/happyupdate_header_mid_1_mobile.jpg"
                alt="header_happy_updates_mobile">
        </div>

        <div class="happy-updates_kategori-search">
            <div class="kategori-search-wrapper">
                <div class="row">
                    <div class="col-xs-6">
                        <div>
                            <select id="kategori_select" class="selectpicker growhappyStyle-select kategori-select"
                                title="Kategori" data-style="btn-primary">
                                <option value="all">All Category</option>
                                <option value="article">Article</option>
                                <option value="event">Event</option>
                                <option value="promo">Promo</option>
                            </select>
                        </div>
                    </div>
                    <div class="happy-updates_search col-xs-6">
                        <form id="formInput">
                            <input id="search-bar-kategori" class="form-control" type="text" name="srch"
                                placeholder="Search" aria-label="Search">
                            <a href="#top" id="btnSearch"><i class="fa fa-search"></i></a>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="happy-updates-main-container">
            <div class="container" style="width:100%;">
                <h1 class="text-center" style="margin-top:0px;margin-bottom:25px;">
                    Happy Updates
                </h1>
            </div>
            <div class="container" style="width:100%;">
                {% if article|length > 0 %}
                <div id="happy-updates-carousel" class="carousel slide" data-ride="carousel" data-interval="false">
                    <!-- Indicators -->
                    <!--
                    <!-- Wrapper for slides -->
                    <div class="carousel-inner happy-updates-carousel-pages">
                        {% for listarticle in article %}
                        <div class="item {{loop.first ? 'active' : ''}}">
                                <div class="happy-updates-page">
                                    <div class="row">
                                        {% for row in listarticle %}
                                        <a href="{{ url('<front>') }}{{ row.url}}">
                                            <div class="col-md-6 article_item_ghc" style="padding:0">
                                                <div class="happy-updates-segment">
                                                    <img src="{{row.image}}" class="img-happy-updates-mainImage"
                                                        alt="{{ row.image_alt }}">
                                                    {% if row.tag == 'Article' %}
                                                    <img src="{{ url('<front>') }}themes/growhappytheme/dist_layout/img/happy-updates/Artikel.png"
                                                        class="img-happy-updates-artikelFlag"
                                                        alt="img-happy-updates-artikelFlag">
                                                    {% elseif row.tag == 'Event' %}
                                                    <img src="{{ url('<front>') }}themes/growhappytheme/dist_layout/img/happy-updates/Event.png"
                                                        class="img-happy-updates-artikelFlag"
                                                        alt="img-happy-updates-artikelFlag">
                                                    {% else %}
                                                    <img src="{{ url('<front>') }}themes/growhappytheme/dist_layout/img/happy-updates/Artikel.png"
                                                        class="img-happy-updates-artikelFlag"
                                                        alt="img-happy-updates-artikelFlag">
                                                    {% endif %}
                                                    <div class="row">
                                                        <div class="col-md-8 article_item_title" style="height:48px;">
                                                            <p>{{ row.title }}</p>
                                                        </div>
                                                        <div class="col-md-4 happy-updates-read-more">
                                                            Read more
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                        <br>
                        <br>
                        <div class="row poin-produk-carousel-navigation-wrapper">
                            <div class="col-xs-2" style="padding: 0px">
                                <!-- Left controls -->
                                <!-- <a class="left carousel-control" href="#happy-updates-carousel" data-slide="prev">
                            <i class="fa fa-arrow-circle-left"></i>
                            <span class="sr-only">Previous</span>
                        </a> -->
                            </div>
                            <div class="col-xs-8 navigation-indicator-wrapper" style="margin-top: 5px;">
                                <!-- Indicators -->
                                <div class="text-center poin-produk-carousel-navigation-indicator">
                                    <ol class="carousel-indicators">
                                        {% for i in 1..article|length %}
                                        {% if loop.first %}
                                        <li data-target="#happy-updates-carousel" data-slide-to="{{ i-1 }}"
                                            class="active">{{ i }}</li>
                                        {% else %}
                                        <li data-target="#happy-updates-carousel" data-slide-to="{{ i-1 }}">{{ i }}</li>
                                        {% endif %}
                                        {% endfor %}
                                    </ol>
                                </div>
                            </div>
                            <div class="col-xs-2" style="padding: 0px">
                                <!-- Right controls -->
                                <!-- <a class="right carousel-control" href="#happy-updates-carousel" data-slide="next">
                            <i class="fa fa-arrow-circle-right"></i>
                            <span class="sr-only">Next</span>
                        </a> -->
                            </div>
                        </div>
                    </div>
                    {% else %}
                    <h3>Update untuk kategori ini tidak tersedia.</h3>
                    {% endif %}
                </div>
            </div>

            <div class="social-media-container" style="margin-top: 91px">
                <div id="social-media" class="row">
                    <h4 class="text-center">Follow us on:</h4>
                    <div id="social-media-wrapper" class="col-xs-12" style="padding:0;">
                        <div class="col-xs-4 text-right" style="padding:0;">
                            <a href="https://www.facebook.com/NestleLACTOGROW?utm_source=growhappy&utm_medium=website&utm_campaign=menu"
                                target="_blank"
                                onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Footer', 'eventAction' : 'Social Link', 'eventLabel' : '{{Facebook}}' });">
                                <img src="{{ url('<front>') }}/themes/growhappytheme/dist_layout/img/logo-facebook.png"
                                    class="social-media-image" alt="logo-facebook">
                            </a>
                        </div>
                        <div class="col-xs-4  text-center" style="padding:0;">
                            <a href=" https://www.instagram.com/nestlelactogrow/?hl=id" target="_blank"
                                onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Footer', 'eventAction' : 'Social Link', 'eventLabel' : '{{Instagram}}' });">
                                <img src="{{ url('<front>') }}/themes/growhappytheme/dist_layout/img/logo-instagram.png"
                                    class="social-media-image" alt="logo-instagram">
                            </a>
                        </div>
                        <div class="col-xs-4  text-left" style="padding:0;">
                            <a href="https://www.youtube.com/channel/UC658JebjTsQJGp3GcJXZCMQ" target="_blank"
                                onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Footer', 'eventAction' : 'Social Link', 'eventLabel' : '{{youtube}}' });">
                                <img src="{{ url('<front>') }}/themes/growhappytheme/dist_layout/img/logo-youtube.png"
                                    class="social-media-image" alt="logo-youtube">
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>


<script>
    jQuery(document).ready(function () {
        $('#kategori_select').on('changed.bs.select', function (e) {
            var selected = e.target.value;
            window.location.href = "{{ url('<front>') }}happyupdates?cate=" + selected;
        });

        $("#btnSearch").click(function () {
            var text = $('#formInput').find('input[name="srch"]').val();
            $("#btnSearch").attr("href", "{{ url('<front>') }}happyupdates?srch=" + text);
        });

        $("#btnSearch").keypress(function () {
            var text = $('#formInput').find('input[name="srch"]').val();
            $("#btnSearch").attr("href", "{{ url('<front>') }}happyupdates?q=" + text);
        });
    });

</script>
